Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ConnectorConnectionRuntimeMBean

public interface ConnectorConnectionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring individual WebLogic Connector connections

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `delete()` Provides a way to manually close a connection through the console
`int` | `getActiveHandlesCurrentCount()` Returns the current total active connection handles for this connection.
`int` | `getActiveHandlesHighCount()` Returns the high water mark of active connection handles for this connection since the connection was created.
`int` | `getHandlesCreatedTotalCount()` Returns the total number of connection handles created for this connection since the connection was created.
`long` | `getLastUsage()` Returns the last usage timestamp for the connection in milliseconds, as returned by System.currentTimeMillis()
`java.lang.String` | `getLastUsageString()` Returns the last usage timestamp for the connection as a string.
`java.lang.String` | `getStackTrace()` Returns the stack trace for the current connection, will be blank unless connection-profiling-enabled is set to true in weblogic-ra.xml
`boolean` | `isCurrentlyInUse()` Returns an indicator of whether or not the connection is currently in use
`boolean` | `isDeletable()` Returns an indicator of whether or not the connection can be closed manually through the console.
`boolean` | `isIdle()` Returns an indicator of whether or not the connection has been idle for a period extending beyond the configured maximum.
`boolean` | `isInTransaction()` Returns an indicator of whether or not the connection is currently in use in a transaction
`boolean` | `isShared()` Returns an indicator of whether or not the connection is currently being shared by more than one invoker

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getActiveHandlesCurrentCount

    public int getActiveHandlesCurrentCount()

  Returns the current total active connection handles for this connection.

  Returns:
    The activeHandlesCurrentCount value

### getActiveHandlesHighCount

    public int getActiveHandlesHighCount()

  Returns the high water mark of active connection handles for this connection since the connection was created.

  Returns:
    The activeHandlesHighCount value

### getHandlesCreatedTotalCount

    public int getHandlesCreatedTotalCount()

  Returns the total number of connection handles created for this connection since the connection was created.

  Returns:
    The handlesCreatedTotalCount value

### isCurrentlyInUse

    public boolean isCurrentlyInUse()

  Returns an indicator of whether or not the connection is currently in use

  Returns:
    The currentlyInUse value

### isInTransaction

    public boolean isInTransaction()

  Returns an indicator of whether or not the connection is currently in use in a transaction

  Returns:
    The inTransaction value

### isShared

    public boolean isShared()

  Returns an indicator of whether or not the connection is currently being shared by more than one invoker

  Returns:
    The shared value

### getLastUsage

    public long getLastUsage()

  Returns the last usage timestamp for the connection in milliseconds, as returned by System.currentTimeMillis()

  Returns:
    The lastUsage value

### getLastUsageString

    public java.lang.String getLastUsageString()

  Returns the last usage timestamp for the connection as a string.

  Returns:
    The lastUsageString value

### getStackTrace

    public java.lang.String getStackTrace()

  Returns the stack trace for the current connection, will be blank unless connection-profiling-enabled is set to true in weblogic-ra.xml

  Returns:
    The stackTrace value

### isIdle

    public boolean isIdle()

  Returns an indicator of whether or not the connection has been idle for a period extending beyond the configured maximum.

  Returns:
    The idle value

### isDeletable

    public boolean isDeletable()

  Returns an indicator of whether or not the connection can be closed manually through the console.

  Returns:
    The deletable value

### delete

    public void delete()
                throws ManagementException

  Provides a way to manually close a connection through the console

  Throws:
    ManagementException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD